﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CodeBrowser.ascx.cs"
    Inherits="Demo.Controls.CodeBrowser" %>
<div class="code-browser">
<h3 class="page-header">
View model source code <small><i>The entire behaviour of user interface in these files. Sum of lines in all files is <b><%= SumOfLines %></b></i></small>
</h3>
<div class="tabbable">
    <ul class="nav nav-pills">
        <%  int i = 0; foreach (Demo.Controls.FileContent content in Files)
            { %>
        <li class='<%= i++ == 0 ? "active" : ""  %>'><a href="#<%= content.Id  %>" data-toggle="tab">
            <%: content.Filename %></a></li>
        <% } %>
    </ul>
    <div class="tab-content">
        <%  int i2 = 0; foreach (Demo.Controls.FileContent content in Files)
            { %>
        <div class='tab-pane <%= i2++ == 0 ? "active" : ""  %>' id="<%= content.Id %>">
            <pre class="prettyprint linenums lang-cs"><%: content.Content %></pre>
        </div>
        <% } %>
    </div>
</div>
</div>
