﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Carbon.Web.Forms
{
    public class CollectionAddingEventArgs<T> : EventArgs
    {

        private T m_ItemToAdd = default(T);
        public T ItemToAdd
        {
            get
            {
                return m_ItemToAdd;
            }
        }

        public CollectionAddingEventArgs(T itemToAdd)
            : base()
        {
            if (itemToAdd == null) throw new ArgumentNullException("itemToAdd");

            this.m_ItemToAdd = itemToAdd;
        }


    }
}
