﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Carbon.Web.Forms
{
    public class CollectionRemovingEventArgs<T> : EventArgs
    {
        private T m_ItemToRemove = default(T);
        public T ItemToRemove
        {
            get
            {
                return m_ItemToRemove;
            }
        }

        public CollectionRemovingEventArgs(T itemToRemove)
            : base()
        {
            if (itemToRemove == null) throw new ArgumentNullException("itemToRemove");

            this.m_ItemToRemove = itemToRemove;
        }


    }
}
