﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Carbon.Web.Forms
{
    public class PopupViewModelChangedEventArgs<TViewModel> : EventArgs
    {
        private TViewModel m_ViewModel = default(TViewModel);
        public TViewModel ViewModel
        {
            get
            {
                return m_ViewModel;
            }

        }

        public PopupViewModelChangedEventArgs(TViewModel viewModel)
            : base()
        {
            if (viewModel == null) throw new ArgumentNullException("viewModel");

            this.m_ViewModel = viewModel;
        }


    }
}
