﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="TreeViewNode.ascx.cs"
    Inherits="Demo.Demos.ComplexDataStructures.TreeViewNode" %>
<div class="d-tree-item">
    <asp:LinkButton runat="server" OnClick="Click_ToggleExpanded" class="<%# GetHandleClass() %>" />
    <asp:LinkButton runat="server" OnClick="Click_SelectItem" class="<%# GetItemClass() %>" >
        <cwf:ModelValue runat="server" DataPath="DisplayName" />
    </asp:LinkButton>
    <cwf:IfElsePanel runat="server" ConditionDataPath="IsNodeExpanded">
        <IfTemplate>
            <cwf:CollectionEditor runat="server" DataPath="Subordinates">
                <ItemTemplate>
                    <d:TreeViewNodeLoader runat="server" />
                </ItemTemplate>
            </cwf:CollectionEditor>
            <div>
                <asp:LinkButton runat="server" OnClick="Click_AddNew" ID="add"><img src="img/plus.jpg" border="0" alt="" /></asp:LinkButton>
            </div>
        </IfTemplate>
    </cwf:IfElsePanel>
</div>
