﻿using System;

namespace Demo
{
    public class Example
    {
		#region Fields (5)
		private bool m_IsNew = default(bool);


		private String m_Description = default(String);
		private String m_Title = default(String);
		private String m_Url = default(String);
		#endregion

		#region Properties (5)
		public String Description
        {
            get
            {
                return m_Description;
            }
            set
            {
                m_Description = value;
            }
        }
		public bool IsNew
        {
            get
            {
                return m_IsNew;
            }
            set
            {
                m_IsNew = value;
            }
        }
		public String Title
        {
            get
            {
                return m_Title;
            }
            set
            {
                m_Title = value;
            }
        }
		public String Url
        {
            get
            {
                return m_Url;
            }
            set
            {
                m_Url = value;
            }
        }
		#endregion
    }

    public class Examples
    {
		#region Static Fields (1)
		public static Example[] AllExamples = {
                                               new Example() { Title = "Sum Matrix", Description = "Demonstrates one of the core benefits of using MVVM. Automatic view updates regardless of computational logic.", Url = "/Demos/Basic/SumMatrix/SumMatrix.aspx"},
                                               new Example() { Title = "Simple Form", Description = "Demonstrates how you can embed your Entity directly into view model and also various types of built-in controls from jQuery implementation.", Url = "/Demos/EntityFramework/EntityFramework.aspx"},
                                               new Example() { Title = "Travel Request", Description = "Demonstrates how you can easily replace InfoPath forms with a more customizable engine.", Url = "/Demos/TravelRequest/TravelRequest.aspx" },
                                               new Example() { Title = "Poll Administration", Description = "Demonstrates how easy is to make a multilingual poll administration interface.", Url = "/Demos/Poll/Poll.aspx"},
                                               new Example() { Title = "Social Experiment", Description = "Demonstrates how easy is to model complex data structures and make reusable controls.", Url = "/Demos/ComplexDataStructures/ComplexDataStructures.aspx", IsNew = true},
                                           };
		#endregion
    }
}