﻿<%@ Page Language="C#" AutoEventWireup="true" Inherits="Demo.Tests.Test1" MasterPageFile="~/Site.Master" %>

<%@ Register TagPrefix="d" Namespace="Demo.Demos" Assembly="Demo, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null" %>
<%@ Register TagPrefix="d" Namespace="Demo.Tests" Assembly="Demo, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null" %>
<%@ Register TagPrefix="cwf" Namespace="Carbon.Web.Forms" Assembly="Carbon.Web.Forms, Version=1.0.0.0, Culture=neutral, PublicKeyToken=9d724a5d0e74c67c" %>
<%@ Register TagPrefix="cwf" Namespace="Carbon.Web.Forms.Controls" Assembly="Carbon.Web.Forms, Version=1.0.0.0, Culture=neutral, PublicKeyToken=9d724a5d0e74c67c" %>
<%@ Register TagPrefix="cwfj" Namespace="Carbon.Web.Forms.jQueryForms" Assembly="Carbon.Web.Forms.jQueryForms, Version=1.0.0.0, Culture=neutral, PublicKeyToken=9d724a5d0e74c67c" %>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="MainContent">
    <%--<style type="text/css">
        .carbon-close
        {
            float: right;
            width: 16px;
            height: 16px;
        }
        .carbon-file
        {
            display: inline-block;
            width: 260px;
            margin-bottom: 5px;
            padding: 5px;
        }
        .carbon-content
        {
            font-weight: bold;
            overflow: hidden;
            display: inline-block;
            width: 234px;
            padding-bottom:5px;
        }
        .carbon-state
        {
        }
    </style>
    <div id="upload">
        <div class="carbon-files">
            <div class="carbon-files-upload-error ui-state-error-text" style="display: none;">
                <span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span>
                <span class="carbon-error-text"></span>
            </div>
            <div class="carbon-file ui-widget-content ui-corner-all" style="display: none;">
                <div class="carbon-content">
                </div>
                <div class="carbon-close ui-state-default ui-corner-all">
                    <span class="ui-icon ui-icon-circle-close">&nbsp;</span>
                </div>
                <div class="carbon-upload-state">
                    
                </div>
                <iframe style='display: none;'></iframe>
            </div>
        </div>
        <input type="button" class="carbon-files-add" value="Add" />
        <input type="button" class="carbon-files-upload" value="Upload" />
    </div>
    <script type="text/javascript">

        (function ($) {

            var Constants = {
                HandlerPath: "/.jQueryFormsUi/upload"
            };

            var States = {
                WaitForFirstLoad: 0,
                FirstTimeLoaded: 1,
                WaitForUpload: 2,
                Uploaded: 3,
                Error: 4
            };

            var Classes = {
                LoaderClass: "carbon-loader",
                ErrorText: "carbon-error-text"
            };
            
            var jqforms = Carbon.Web.Forms.jQueryForms;

            var singleChild = function (target, selector) {
                var result = target.find(selector);
                if (result.length != 1)
                    throw "'" + selector + "' not found.";
                return result;
            };

            var endsWithCaseInsensitive = function (val, end) {
                return val.length >= end.length &&
                       val.substr(val.length - end.length).toLowerCase() == end.toLowerCase();
            };

            UploadFilesEditor = function (id, fileTypes) {
                var control = $("#" + id);

                control.filesRepeater = singleChild(control, ".carbon-files");

                control.button = singleChild(control, ".carbon-files-add");
                control.button.button();

                control.upload = singleChild(control, ".carbon-files-upload");
                control.upload.button();

                var filesUploadError = singleChild(control, ".carbon-files-upload-error");

                control.button.enable = function (enabled) {
                    if (enabled) {
                        control.button.button("enable");
                    }
                    else {
                        control.button.button("disable");
                    }
                };

                var fileTypesArray = [];

                if (fileTypesArray && fileTypesArray !== "") {
                    fileTypesArray = fileTypes.split(";");

                    for (var i in fileTypesArray) {
                        var elem = $.trim(fileTypesArray[i]).toLowerCase();
                        fileTypesArray[i] = elem;
                    }
                }

                var endsWithCorrectExtension = function (filename) {
                    for (var i in fileTypesArray) {
                        var type = fileTypesArray[i];

                        if (endsWithCaseInsensitive(filename, type)) {
                            return true;
                        }
                    }

                    return false;
                };

                control.template = singleChild(control.filesRepeater, ".carbon-file");

                control.prepareNew = function () {
                    control.button.enable(false);

                    var prepareElement = control.template.clone();

                    var iframe = singleChild(prepareElement, "iframe");
                    var content = singleChild(prepareElement, ".carbon-content");
                    var close = singleChild(prepareElement, ".carbon-close");
                    var state = singleChild(prepareElement, ".carbon-upload-state");

                    iframe.State = States.WaitForFirstLoad;

                    iframe.bind('load', function () {
                        if (iframe.State == States.WaitForFirstLoad) {
                            var uploadControl = singleChild(iframe.contents(), "#upload");

                            var form = singleChild(iframe.contents(), "form");

                            form.attr("action", Constants.HandlerPath);

                            prepareElement.select = function () {
                                uploadControl.click();
                            };

                            prepareElement.upload = function () {
                                form.submit();
                            }

                            uploadControl.change(function () {
                                var filename = uploadControl.val();

                                if (filename.lastIndexOf("\\") >= 0) {
                                    filename = filename.substr(filename.lastIndexOf("\\") + 1);
                                }

                                if (filename.lastIndexOf("/") >= 0) {
                                    filename = filename.substr(filename.lastIndexOf("/") + 1);
                                }

                                content.html(filename);
                                iframe.State = States.WaitForUpload;

                                if (endsWithCorrectExtension(filename)) {
                                    form.submit();
                                    state.children().remove();
                                    state.append($("<img class='" + Classes.LoaderClass + "' src='" + jqforms.Configuration.FilesPath + '/' + jqforms.Resources["Url.Loader"] + "' />"));
                                }
                                else {
                                    iframe.State = States.Error;
                                    state.children().remove();
                                    var errorHtml = filesUploadError.clone();
                                    errorHtml.show();
                                    state.append(errorHtml);
                                    singleChild(state, "." + Classes.ErrorText).html(jqforms.Resources["UploadFiles.Error.InvalidExtension"]);
                                }

                                prepareElement.css("display", "block");

                                control.prepareNew();
                            });

                            close.hover(function () {
                                $(this).addClass("ui-state-hover");
                            },
                            function () {
                                $(this).removeClass("ui-state-hover");
                            });

                            close.click(function () {
                                prepareElement.remove();
                            });

                            control.button.enable(true);
                            iframe.State = States.FirstTimeLoaded;
                        }
                        else if (iframe.State == States.WaitForUpload) {
                            state.html("<span class=\"ui-icon ui-icon-circle-check\"></span>");
                            iframe.State = States.Uploaded;
                        }
                    });

                    iframe.attr('src', Constants.HandlerPath);
                    control.filesRepeater.append(prepareElement);

                    control.prepare = prepareElement;
                };

                control.button.click(function () {
                    control.prepare.select();
                });

                control.prepareNew();
            };

        })(jQuery);

        UploadFilesEditor("upload", ".png; .jpg; .pdb; .zziipp");

    </script>--%>
    <d:Test1DataContextControl runat="server" ID="ctrl_ContextControl">
        <cwf:CollectionEditor runat="server" DataPath="Slova" >
            <ItemTemplate>
            <div>
            <%# Container.DataItemIndex %>
                <cwfj:SimpleEditor runat="server" DataPath="Textic" CanBeNull="false" />
             </div>
            </ItemTemplate>
        </cwf:CollectionEditor>
        <asp:Button runat="server" OnClick="ReplaceItems" />
    </d:Test1DataContextControl>
</asp:Content>
