﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Carbon.Web.Forms
{
    public class BindEventArgs : EventArgs
    {
        private Object m_ModelValue = default(Object);
        public Object ModelValue
        {
            get
            {
                return m_ModelValue;
            }
        }


        private Object m_ReturnValue = default(Object);
        public Object ReturnValue
        {
            get
            {
                return m_ReturnValue;
            }
            set
            {
                m_ReturnValue = value;
            }
        }

        public BindEventArgs(object modelValue)
            : base()
        {
            this.m_ModelValue = modelValue;
            this.m_ReturnValue = modelValue;
        }


    }
}
