﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Carbon.Web.Forms
{
    public class ChildViewControlPreUpdateEventArgs : EventArgs
    {
        private IViewControl m_Control = default(IViewControl);
        public IViewControl Control
        {
            get
            {
                return m_Control;
            }
        }

        public ChildViewControlPreUpdateEventArgs(IViewControl control)
            : base()
        {
            if (control == null) throw new ArgumentNullException("control");

            this.m_Control = control;
        }
    }
}
