﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Carbon.Web.Forms
{
    public class PopupClosedEventArgs : EventArgs
    {
        private String m_ReturnedValue = default(String);
        public String ReturnedValue
        {
            get
            {
                return m_ReturnedValue;
            }
        } 

        public PopupClosedEventArgs(string returnedValue) : base()
{
if (returnedValue == null) throw new ArgumentNullException("returnedValue");

this.m_ReturnedValue = returnedValue;
}


    }
}
