﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Carbon.Web.Forms
{
    public class PopupGetViewModelEventArgs<TViewModel> : EventArgs 
    {

        private TViewModel m_ViewModel = default(TViewModel);
        public TViewModel ViewModel
        {
            get
            {
                return m_ViewModel;
            }
            set
            {
                 if (value == null)  throw new NullReferenceException("value");
                m_ViewModel = value;
            }
        }


    }
}
